org.apache.ignite.internal.processors.cache.version

## Class GridCacheVersionAbstractConflictResolver

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.version.GridCacheVersionAbstractConflictResolver

Direct Known Subclasses:
  GridCacheVersionConflictResolver

    public abstract class GridCacheVersionAbstractConflictResolver
    extends Object

Cache version conflict resolver.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheVersionAbstractConflictResolver()`

### Method Summary

Methods
`<K,V> GridCacheVersionConflictContext<K,V>` `resolve(GridCacheVersionedEntryEx<K,V> oldEntry, GridCacheVersionedEntryEx<K,V> newEntry, boolean atomicVerComparator)` Resolve the conflict.
`protected abstract <K,V> void` `resolve0(GridCacheVersionConflictContext<K,V> ctx, GridCacheVersionedEntryEx<K,V> oldEntry, GridCacheVersionedEntryEx<K,V> newEntry, boolean atomicVerComparator)` Internal conflict resolution routine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheVersionAbstractConflictResolver

    public GridCacheVersionAbstractConflictResolver()

### Method Detail

#### resolve

    public <K,V> GridCacheVersionConflictContext<K,V> resolve(GridCacheVersionedEntryEx<K,V> oldEntry,
                                                     GridCacheVersionedEntryEx<K,V> newEntry,
                                                     boolean atomicVerComparator)
                                                 throws IgniteCheckedException

Resolve the conflict.

Parameters:
  `oldEntry` - Old entry.
  `newEntry` - New entry.
  `atomicVerComparator` - Whether to use atomic version comparator.
Returns:
  Conflict resolution context.
Throws:
  `IgniteCheckedException` - If failed.

#### resolve0

    protected abstract <K,V> void resolve0(GridCacheVersionConflictContext<K,V> ctx,
                      GridCacheVersionedEntryEx<K,V> oldEntry,
                      GridCacheVersionedEntryEx<K,V> newEntry,
                      boolean atomicVerComparator)
                              throws IgniteCheckedException

Internal conflict resolution routine.

Parameters:
  `ctx` - Context.
  `oldEntry` - Old entry.
  `newEntry` - New entry.
  `atomicVerComparator` - Whether to use atomic version comparator.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015